Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class CubeMapGroup

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.MappingGroup
                  |
                  +--oracle.AWXML.CubeMapGroup

public class CubeMapGroup
extends MappingGroup

A `MappingGroup` that specifies data source mapping expressions for a `Cube`. The mappings specify the columns that contain data for the `Measure` objects of the `Cube` and the and the key columns that map to the `Dimension` objects of the `Cube`.

A `CubeMapGroup` is owned by a `Cube`. The `CubeMapGroup` must contain mappings for all of the `Dimension` objects of the `Cube`. It can contain mappings for some or all of the `Measure` objects.

Use the `oracle.AWAction.BuildDatabase` class to load data into the workspace cube from the mapped data sources.

See Also:
  `DimensionMapGroup`, `BuildDatabase`

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`CubeMapGroup(BaseObject input)` Creates a `CubeMapGroup` for the specified `Cube`.

Method Summary
`void` | `addCubeDimensionSourceExpression(CubeDimensionSourceExpression input)` Adds the specified `CubeDimensionSourceExpression` to the `CubeMapGroup`.
`void` | `addKeyMap(CubeDimensionSourceExpression input)` Adds the specified `CubeDimensionSourceExpression` to the `CubeMapGroup`.
`void` | `addMeasureMap(MeasureSourceExpression input)` Adds the specified `MeasureSourceExpression` to the `CubeMapGroup`.
`void` | `addMeasureSourceExpression(MeasureSourceExpression input)` Adds the specified `MeasureSourceExpression` to the `CubeMapGroup`.
`java.lang.String` | `Create(AWConnection connection)` Creates a `CubeMapGroup` in the current analytic workspace of the specified database connection.
`MeasureSourceExpression` | `CreateAttributeMap()` Creates a `MeasureSourceExpression` for the `CubeMapGroup`.
`CubeDimensionSourceExpression` | `CreateKeyMap()` Creates a `CubeDimensionSourceExpression` for the `CubeMapGroup`.
`java.util.Vector` | `getKeyMaps()` Gets a list of the `CubeDimensionSourceExpression` owned by the `CubeMapGroup`.
`java.util.Vector` | `getMeasureMaps()` Gets a list of the `MeasureSourceExpression` objects owned by the `CubeMapGroup`.
`void` | `removeKeyMap(CubeDimensionSourceExpression input)` Removes the specified `CubeDimensionSourceExpression` from the `CubeMapGroup`.
`void` | `removeMeasureMap(MeasureSourceExpression input)` Removes the specified `MeasureSourceExpression` from the `CubeMapGroup`.
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `CubeMapGroup`.

Methods inherited from class oracle.AWXML.MappingGroup
`Delete`

Methods inherited from class oracle.AWXML.BaseObject
`Alter, CreateAfter, CreateBefore, CreateFirst, DataRead, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CubeMapGroup

    public CubeMapGroup(BaseObject input)

  Creates a `CubeMapGroup` for the specified `Cube`.
  Parameters:
    `input` - The `Cube` to own the `CubeMapGroup`.

Method Detail

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `CubeMapGroup`.
  Overrides:
    WriteToXML in class MappingGroup
  Returns:
    An XML `String` that represents the `CubeMapGroup`.

### addMeasureMap

    public void addMeasureMap(MeasureSourceExpression input)

  Adds the specified `MeasureSourceExpression` to the `CubeMapGroup`.
  Parameters:
    `input` - The `MeasureSourceExpression` to add.

### removeMeasureMap

    public void removeMeasureMap(MeasureSourceExpression input)

  Removes the specified `MeasureSourceExpression` from the `CubeMapGroup`.
  Parameters:
    `input` - The `MeasureSourceExpression` to remove.

### addMeasureSourceExpression

    public void addMeasureSourceExpression(MeasureSourceExpression input)

  Adds the specified `MeasureSourceExpression` to the `CubeMapGroup`. This method is the functional equivalent of `addMeasureMap`. It exists to satisfy internal requirements of the API.
  Parameters:
    `input` - The `MeasureSourceExpression` to add.

### getMeasureMaps

    public java.util.Vector getMeasureMaps()

  Gets a list of the `MeasureSourceExpression` objects owned by the `CubeMapGroup`.
  Returns:
    A `Vector` of the `MeasureSourceExpression` objects for the `CubeMapGroup`.

### addKeyMap

    public void addKeyMap(CubeDimensionSourceExpression input)

  Adds the specified `CubeDimensionSourceExpression` to the `CubeMapGroup`.
  Parameters:
    `input` - The `CubeDimensionSourceExpression` to add.

### removeKeyMap

    public void removeKeyMap(CubeDimensionSourceExpression input)

  Removes the specified `CubeDimensionSourceExpression` from the `CubeMapGroup`.
  Parameters:
    `input` - The `CubeDimensionSourceExpression` to remove.

### addCubeDimensionSourceExpression

    public void addCubeDimensionSourceExpression(CubeDimensionSourceExpression input)

  Adds the specified `CubeDimensionSourceExpression` to the `CubeMapGroup`. This method is the functional equivalent of `addKeyMap`. It exists to satisfy internal requirements of the API.
  Parameters:
    `input` - The `CubeDimensionSourceExpression` to add.

### getKeyMaps

    public java.util.Vector getKeyMaps()

  Gets a list of the `CubeDimensionSourceExpression` owned by the `CubeMapGroup`.
  Returns:
    A `Vector` of the `CubeDimensionSourceExpression` for the `CubeMapGroup`.

### CreateKeyMap

    public CubeDimensionSourceExpression CreateKeyMap()

  Creates a `CubeDimensionSourceExpression` for the `CubeMapGroup`.
  Returns:
    The new `CubeDimensionSourceExpression`.

### CreateAttributeMap

    public MeasureSourceExpression CreateAttributeMap()

  Creates a `MeasureSourceExpression` for the `CubeMapGroup`. This method creates a map for a `Measure` and not for an `Attribute`.
  Returns:
    The new `MeasureSourceExpression`.

### Create

    public java.lang.String Create(AWConnection connection)

  Creates a `CubeMapGroup` in the current analytic workspace of the specified database connection.
  Overrides:
    Create in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
  Returns:
    A `String` that contains `Success` if the method creates the `CubeMapGroup`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.